curl --request PUT \
--url https://api.sendx.io/api/v1/rest/post/{identifier} \
--header 'Content-Type: application/json' \
--header 'X-Team-ApiKey: <api-key>' \
--data '
{
"name": "Summer Product Launch",
"postTitle": "Introducing Our New Summer Collection",
"postDescription": "<string>",
"postCategory": "post_category_YzS1wOU20yw87UUHKxMzwn",
"member": "member_JkL012MnO345PqR678",
"postThumbnail": "<string>",
"postHtml": "<string>",
"postTemplate": "<string>",
"isPublished": false,
"includedTags": [
"<string>"
],
"editorType": 1,
"postSlug": "introducing-summer-collection",
"status": 1,
"pageTitle": "<string>",
"pageDescription": "<string>",
"pageKeywords": "<string>",
"socialTitle": "<string>",
"socialDescription": "<string>",
"socialImageUrl": "<string>"
}
'import requests
url = "https://api.sendx.io/api/v1/rest/post/{identifier}"
payload = {
"name": "Summer Product Launch",
"postTitle": "Introducing Our New Summer Collection",
"postDescription": "<string>",
"postCategory": "post_category_YzS1wOU20yw87UUHKxMzwn",
"member": "member_JkL012MnO345PqR678",
"postThumbnail": "<string>",
"postHtml": "<string>",
"postTemplate": "<string>",
"isPublished": False,
"includedTags": ["<string>"],
"editorType": 1,
"postSlug": "introducing-summer-collection",
"status": 1,
"pageTitle": "<string>",
"pageDescription": "<string>",
"pageKeywords": "<string>",
"socialTitle": "<string>",
"socialDescription": "<string>",
"socialImageUrl": "<string>"
}
headers = {
"X-Team-ApiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Team-ApiKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Summer Product Launch',
postTitle: 'Introducing Our New Summer Collection',
postDescription: '<string>',
postCategory: 'post_category_YzS1wOU20yw87UUHKxMzwn',
member: 'member_JkL012MnO345PqR678',
postThumbnail: '<string>',
postHtml: '<string>',
postTemplate: '<string>',
isPublished: false,
includedTags: ['<string>'],
editorType: 1,
postSlug: 'introducing-summer-collection',
status: 1,
pageTitle: '<string>',
pageDescription: '<string>',
pageKeywords: '<string>',
socialTitle: '<string>',
socialDescription: '<string>',
socialImageUrl: '<string>'
})
};
fetch('https://api.sendx.io/api/v1/rest/post/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "post_XyZ123aBc456DeF789GhI",
"name": "Summer Product Launch",
"postTitle": "Introducing Our New Summer Collection",
"postDescription": "<string>",
"postCategory": "post_category_YzS1wOU20yw87UUHKxMzwn",
"member": "member_JkL012MnO345PqR678",
"postThumbnail": "<string>",
"isPublished": true,
"includedTags": [
"post_tag_123XyZ456AbC"
],
"postSlug": "introducing-summer-collection",
"status": 123,
"pageTitle": "<string>",
"pageDescription": "<string>",
"pageKeywords": "<string>",
"socialTitle": "<string>",
"socialDescription": "<string>",
"socialImageUrl": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Update post
Updates an existing blog post.
🎯 Key Features:
- Edit content
- Update metadata
- Change status
- Modify tags/categories
Authorizations
Team API key for authentication. Find your API key in SendX Settings → Team API Key.
Example:
X-Team-ApiKey: your_team_api_key_here
Path Parameters
Resource identifier with prefix (e.g., contact_BnKjkbBBS500CoBCP0oChQ)
Format: <prefix>_<22-character-id>
^[a-z_]+_[a-zA-Z0-9]{22}$"contact_BnKjkbBBS500CoBCP0oChQ"
Body
Internal post name
"Summer Product Launch"
Public post title
"Introducing Our New Summer Collection"
Post excerpt/description
Category ID (with or without prefix)
"post_category_YzS1wOU20yw87UUHKxMzwn"
Author member ID
"member_JkL012MnO345PqR678"
Thumbnail image URL
Post HTML content
Post template
Publication status
Post tag IDs
Editor type used
URL slug
"introducing-summer-collection"
Post status
SEO page title
SEO meta description
SEO keywords
Social media title
Social media description
Social media image URL
Response
✅ Post updated successfully
"post_XyZ123aBc456DeF789GhI"
"Summer Product Launch"
"Introducing Our New Summer Collection"
"post_category_YzS1wOU20yw87UUHKxMzwn"
"member_JkL012MnO345PqR678"
"introducing-summer-collection"
Was this page helpful?